%define anolis_release 1
%global gettext_version 0.19.8
%global glib2_version 2.52
%global gtk3_version 3.19.12
%global libsoup_version 2.42
%global webkit2gtk3_version 2.26.0

Name:		gnome-online-accounts
Version:	3.44.0
Release: %{anolis_release}%{dist}
Summary:	Single sign-on framework for GNOME

License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/GnomeOnlineAccounts
Source0:	https://download.gnome.org/sources/gnome-online-accounts/3.43/%{name}-%{version}.tar.xz

Patch0:         112.patch

BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gobject-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gettext >= %{gettext_version}
BuildRequires:	gtk-doc
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(webkit2gtk-4.0) >= %{webkit2gtk3_version}
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsecret-1) >= 0.7
BuildRequires:	pkgconfig(libsoup-2.4) >= %{libsoup_version}
BuildRequires:	pkgconfig(rest-0.7)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	vala
BuildRequires:	make

Requires:	glib2 >= %{glib2_version}
Requires:	gtk3 >= %{gtk3_version}
Requires:	libsoup >= %{libsoup_version}
Requires:	webkit2gtk3 >= %{webkit2gtk3_version}

%description
GNOME Online Accounts provides interfaces so that applications and libraries
in GNOME can access the user's online accounts. It has providers for Google,
Nextcloud, Flickr, Foursquare, Microsoft Account, Microsoft Exchange,
IMAP/SMTP and Kerberos.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%patch0 -p1

%build
%configure \
  --enable-foursquare \
  --disable-foursquare \
  --disable-flickr \
  --disable-facebook \
  --disable-lastfm \
  --disable-media-server \
  --disable-silent-rules \
  --disable-static \
  --enable-documentation \
  --enable-exchange \
  --enable-google \
  --enable-gtk-doc \
  --enable-imap-smtp \
  --enable-kerberos \
  --enable-owncloud \
  --enable-windows-live
%make_build

%install
%make_install

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Goa-1.0.typelib
%{_libdir}/libgoa-1.0.so.0
%{_libdir}/libgoa-1.0.so.0.0.0
%{_libdir}/libgoa-backend-1.0.so.1
%{_libdir}/libgoa-backend-1.0.so.1.0.0
%dir %{_libdir}/goa-1.0
%dir %{_libdir}/goa-1.0/web-extensions
%{_libdir}/goa-1.0/web-extensions/libgoawebextension.so
%{_prefix}/libexec/goa-daemon
%{_prefix}/libexec/goa-identity-service
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_datadir}/dbus-1/services/org.gnome.Identity.service
%{_datadir}/icons/hicolor/*/apps/goa-*.svg
%{_datadir}/man/man8/goa-daemon.8*
%{_datadir}/glib-2.0/schemas/org.gnome.online-accounts.gschema.xml

%dir %{abidir}
%{abidir}/libgoa-1.0.dump
%{abidir}/libgoa-backend-1.0.dump
%{abidir}/libgoawebextension.dump

%files devel
%{_includedir}/goa-1.0/
%{_libdir}/libgoa-1.0.so
%{_libdir}/libgoa-backend-1.0.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Goa-1.0.gir
%{_libdir}/pkgconfig/goa-1.0.pc
%{_libdir}/pkgconfig/goa-backend-1.0.pc
%{_libdir}/goa-1.0/include
%{_datadir}/vala/

%files doc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/goa/

%changelog
* Mon Mar 20 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 3.44.0-1
- Init package from upstream
